For the complete documentation index, see llms.txt. This page is also available as Markdown.

Referral Campaigns

Endpoints that allow you to work with your referral campaigns.

Get Campaigns

GET https://api.sparkloop.app/v2/campaigns

Returns all of your campaigns. At the moment you're only allowed to have one campaign per Sparkloop account.

{ 
  "campaigns": [
    <Campaign Object>,
    <Campaign Object>,
    <Campaign Object>
  ]
}
{ "error": "API key is missing!" }
{ "error": "User not found!" }

Get Campaign

GET https://api.sparkloop.app/v2/campaigns/:identifier

Returns a campaign.

Path Parameters

Name
Type
Description

identifier*

string

Campaign's UUID, for example MF9a78983d1c

Headers

Name
Type
Description

X-Api-Key*

string

API key

Update Campaign

PUT https://api.sparkloop.app/v2/campaigns/:identifier

Updates the campaign

Path Parameters

Name
Type
Description

identifier*

string

Campaign's UUID, for example MF9a78983d1c

Headers

Name
Type
Description

X-Api-Key*

string

API key

Request Body

Name
Type
Description

name

string

Campaign's name

Last updated